Skip to main content
GET
/
api
/
public
/
v1
/
moderation-actions
List Moderation Actions Endpoint
curl --request GET \
  --url https://api.example.com/api/public/v1/moderation-actions \
  --header 'Authorization: Bearer <token>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Query Parameters

filter[community_server_id]
string<uuid> | null
filter[action_state]
enum<string> | null
Available options:
proposed,
applied,
retro_review,
confirmed,
overturned,
scan_exempt,
under_review,
dismissed
filter[action_tier]
enum<string> | null
Available options:
tier_1_immediate,
tier_2_consensus
limit
integer
default:50
offset
integer
default:0

Response

Successful Response